body 
{
    background-color: #F4F5FA;

    margin: 0px;
    padding: 0px;
}

h1, h2, h3, h4, h5, h6 
{
    line-height: normal;
}

a 
{
    cursor: pointer;
}

.dropdown-menu
{
    box-shadow: 0px 4px 8px -4px rgb(58 53 65 / 42%) !important;
}

.dropdown-menu .dropdown-item:active 
{
    background-image: linear-gradient(98deg, #FFCC00, #FFCC00 94%) !important;
}

.dropdown-menu .dropdown-item:active span 
{
    color: #0E2F65;
}

.nice-select
{
    line-height: 24px;
    height: 52px;
    display: inline-block;
    border-radius: 0.25rem;

    background: transparent;
}

.nice-select ul.list
{
    max-height: 284px;
    overflow-y: auto;
}

.nice-select ul.list li.option
{ 
    display: block;
}

.nice-select.nice-select-showtop ul.list
{
    top: -313px;
    -webkit-transform-origin: 50% 100%;
    -ms-transform-origin: 50% 100%;
    transform-origin: 50% 100%
}

.nice-select.nice-select-for-pagination
{
    line-height: 24px;
    height: 38px;
    display: inline-block;
    border-radius: 0.25rem;
}

.nice-select.nice-select-for-pagination ul.list li.option
{ 
    display: block;
}

.datepicker-container
{
    z-index: 1100 !important;
}





.style-hide 
{
    display: none !important;
}

.style-label-datetime 
{
    color: rgba(58, 53, 65, 0.68);
}

.style-label-gray 
{
    color: rgba(58, 53, 65, 0.68);
}

.style-padding-bottom-5
{
    padding-bottom: 5px;
}





.style-ajax-loading
{
	background: rgba(231,236,226,0.4);

	position: fixed;
	top: 0px;
	left: 0px;

	min-width: 100%;
	min-height: 100%;
	width: 100%;
	height: 100%;

	z-index: 2000;

    display: flex;
    justify-content: center;
    align-items: center;
}

.style-ajax-loading .style-ajax-loading-center
{
	display: table-cell;
	text-align: center;
	vertical-align: middle;
}

.style-ajax-loading .style-ajax-loading-center .fa
{
	font-size: 50px;
	color: #154295;
}





.style-confirmdelete-row
{
    padding: 6px 0px;
}

.style-confirmdelete-row .style-confirmdelete-label
{
    font-weight: normal;
    color: rgba(58, 53, 65, 1);
}

.style-confirmdelete-row .style-confirmdelete-content
{
    padding: 0px 0px 0px 5px;
    color: rgba(58, 53, 65, 0.68);
}

.style-textlabel
{
    font-weight: normal;
    color: rgba(58, 53, 65, 1);

    text-decoration: underline;
}

.style-textlabel.style-textlabel-notunderline
{
    text-decoration: none;
}

.style-textcontent
{
    padding: 5px 0px 0px 0px;
    color: rgba(58, 53, 65, 0.68);
}

.style-textcontent.style-textcontent-zeropaddingtop
{
    padding-top: 0px;
}





.style-textcolor-gray
{
    color: rgba(58, 53, 65, 0.38) !important;
}





.style-notification 
{
    position: fixed;
    top: -100%;
    right: 15px;
    opacity: 1;

    transition: top 1s, opacity 0.5s;

    border-radius: 6px;
    box-shadow: 0px 2px 10px 0px rgb(58 53 65 / 10%);

    padding-right: 60px !important;

    z-index: 500;
}

.style-notification.style-notification-animateshow
{   
    top: 20px !important;
}

@media screen and (max-width: 1199px) /* lg */
{
    .style-notification.style-notification-animateshow
    {   
        top: 75px !important;
    }
}

.style-notification.style-notification-animatehide
{   
    opacity: 0 !important;
}

.style-notification .style-notification-title 
{
    font-weight: bold;

    padding-bottom: 3px;
}

.style-notification .style-notification-list 
{
    display: block;
    color: #004085;

    padding: 3px 0px;
}

.style-notification .style-notification-list a
{
    color: #004085;
}

.style-notification .style-notification-list a:hover
{
    text-decoration: underline;
}

.style-notification .style-notification-close
{
    position: absolute;
    top: 16px;
    right: 10px;

    cursor: pointer;
}





.style-pageform
{
    width: 100%;
}

.style-pageform .style-pageform-title
{
    width: 100%;
}

.style-pageform .style-pageform-subtitle
{
    width: 100%;
}

.style-pageform .style-pageform-separator
{
    margin-top: 30px;
}

.style-pageform .style-pageform-separator.style-pageform-separator-halfmargintop
{
    margin-top: 15px;
}

.style-pageform .style-pageform-separator.style-pageform-separator-tinymargintop
{
    margin-top: 5px;
}

.style-pageform .style-pageform-separator-marginbottom
{
    margin-bottom: 15px; 
}

.style-pageform .style-pageform-separator-doublemarginbottom
{
    margin-bottom: 25px; 
}

.style-pageform .style-pageform-separator.style-pageform-separator-zeromargintop
{
    margin-top: 0px;
}

.style-pageform .style-pageform-control
{
    margin-top: 0px;
}

.style-pageform .style-pageform-control .style-pageform-column
{
    margin-bottom: 20px;
}

.style-pageform .style-pageform-control.style-pageform-control-doublemargintop
{
    margin-top: 20px;
}

.style-pageform .style-pageform-control.style-pageform-control-tripplemargintop
{
    margin-top: 40px;
}

.style-pageform .style-pageform-button
{
    margin-top: 40px;
}

.style-pageform .style-pageform-button.style-pageform-button-halfmargintop
{
    margin-top: 20px;
}

.style-pageform .style-pageform-button.style-pageform-button-zeromargintop
{
    margin-top: 0px;
}

.style-pageform .style-pageform-detail
{
    padding: 6px 0px;
}

.style-pageform .style-pageform-detail .style-pageform-detail-label
{
    font-weight: normal;
    color: rgba(58, 53, 65, 1);
}

.style-pageform .style-pageform-detail .style-pageform-detail-content
{
    padding: 0px 0px 0px 5px;
    color: rgba(58, 53, 65, 0.68);
}

.style-pageform .style-pageform-detail div.style-pageform-detail-content
{
    padding: 3px 0px 0px 0px;
}

.style-pageform .style-pageform-timeline
{
    padding: 6px 0px 0px;
}

.style-pageform .style-pageform-timeline.style-pageform-timeline-zeropadding
{
    padding: 0px 0px 0px;
}

.style-pageform .style-pageform-timeline .style-pageform-timeline-dotslayout
{
    display: inline-block;
    padding: 5px 0px 0px;
}

.style-pageform .style-pageform-timeline .style-pageform-timeline-dotslayout .style-pageform-timeline-dots
{
    display: inline-block;
    width: 12px;
    height: 12px;

    border-style: solid;
    border-width: 2px;
    border-radius: 50%;
    border-color: transparent;

    color: rgb(255, 255, 255);
    background-color: #17a2b8;
    box-shadow: rgb(22 177 255 / 12%) 0px 0px 0px 3px;
}

.style-pageform .style-pageform-timeline .style-pageform-timeline-dotslayout .style-pageform-timeline-dots.style-pageform-timeline-dotsred
{
    background-color: rgb(255, 76, 81);
    box-shadow: rgb(255 76 81 / 12%) 0px 0px 0px 3px;
}

.style-pageform .style-pageform-timeline .style-pageform-timeline-dotstitle
{
    display: inline-block;

    padding: 0px 0px 0px 20px;

    color: rgba(58, 53, 65, 1);
}

.style-pageform .style-pageform-timeline .style-pageform-timeline-linecontent
{
    display: inline-block;

    padding: 5px 0px 30px 24px;
    margin: 0px 0px 0px 5px;
    color: rgba(58, 53, 65, 0.68);

    border-left: 2px solid rgba(58, 53, 65, 0.12);
}

.style-pageform .style-pageform-timeline .style-pageform-timeline-linecontent .style-pageform-timeline-linecontent-title
{
    display: block;

    padding-bottom: 5px;

    text-decoration: underline;
}





.style-tab
{
    padding: 10px 30px;
    
    width: 100%;
}

.style-tab .style-tab-title
{
    padding: 1rem 0px 0px !important;
}

.style-tab .style-tab-navigator
{
    width: 100%;

    background-color: #e4e6eb;
    margin-top: 10px;
}

.style-tab .style-tab-navigator .style-tab-navigator-title
{
    font-size: 16px;
    color: #858686;

    border-radius: 0px;
    border-bottom: 2px solid #d2d3d6;
}

.style-tab .style-tab-navigator .style-tab-navigator-title.active 
{
    background: none; 
    color: #154295;

    border-bottom: 2px solid #154295;
}

.style-tab .style-tab-content 
{
    width: 100%;

    padding-top: 40px;
}

.style-tab .style-tab-content.style-tab-content-halfpaddingtop
{
    padding-top: 20px;
}

.style-tab .style-tab-navigator .nav-item .nav-link
{
    border-bottom: 0px none transparent;
    border-top: 4px solid #e4e6eb;

    padding: 12px 0px;
}

.style-tab .style-tab-navigator .nav-item .nav-link.active 
{
    background-color: #F4F5FA;

    border-top: 4px solid #154295;
}

.style-tab .style-tab-navigator.style-tab-navigator-themewhite .nav-item .nav-link.active 
{
    background-color: #FFFFFF;
}






.style-navbar
{
    background-image: linear-gradient(98deg, #FFCC00, #FFCC00 94%) !important;
    box-shadow: 0px 4px 8px -4px rgb(58 53 65 / 42%) !important;

    padding-top: 0px !important;
    padding-bottom: 0px !important;

    position: sticky;
    top: 0px;
    z-index: 1030;
}

.style-navbar .style-navbar-hamburger
{
    display: inline-block;

    font-size: 1.3rem;
    cursor: pointer;

    color: #0E2F65;

    padding: 15px 12px 15px 0px;
}

.style-navbar .style-navbar-systemname
{
    display: inline-block;

    font-size: 1.35rem;
    letter-spacing: 1px;

    padding: 12px 0px;

    color: #0E2F65;
}





.style-page 
{
    display: flex;
}

.style-page .style-page-sidebar
{
    flex-grow: 0; 
    min-width: 300px;
    padding-right: 40px;
}

.style-page .style-page-content
{
    flex-grow: 1; 
    min-width: 0px;
}





.style-leftmenu .style-leftmenu-logo
{
    padding: 20px 20px 0px;
    margin: 0px;
}

.style-leftmenu .style-leftmenu-logo img 
{
    max-width: 240px; 
    height: 40px;
}

.style-leftmenu .style-leftmenu-menucontainer
{
    margin: 0px;
    padding: 0px 0px;

    list-style: none;
}

.style-leftmenu .style-leftmenu-menucontainer .style-leftmenu-menucontainer-menuitem
{
    margin: 4px 0px;

    border-top-right-radius: 20px;
    border-bottom-right-radius: 20px;

    transition: background 0.15s;

    position: relative;
}

.style-leftmenu .style-leftmenu-menucontainer .style-leftmenu-menucontainer-menuitem .style-leftmenu-menucontainer-menuitem-badge
{
    position: absolute;
    top: 8px;
    margin-left: 6px;
}

.style-leftmenu .style-leftmenu-menucontainer .style-leftmenu-menucontainer-menuitem.style-leftmenu-menucontainer-menuitem-active 
{
    cursor: pointer;

    /* background-image: linear-gradient(98deg, #70ccfa, #16B1FF 94%) !important; */
    background-image: linear-gradient(98deg, #FFCC00, #FFCC00 94%) !important;
    box-shadow: 0px 4px 8px -4px rgb(58 53 65 / 42%) !important;
}

.style-leftmenu .style-leftmenu-menucontainer .style-leftmenu-menucontainer-menuitem.style-leftmenu-menucontainer-menuitem-active i
, .style-leftmenu .style-leftmenu-menucontainer .style-leftmenu-menucontainer-menuitem.style-leftmenu-menucontainer-menuitem-active a 
{
    color: #0E2F65 !important;
}

.style-leftmenu .style-leftmenu-menucontainer .style-leftmenu-menucontainer-menuitem:hover 
{
    cursor: pointer;

    background-color: #e9eaf2;

    border-top-right-radius: 20px;
    border-bottom-right-radius: 20px;
}

.style-leftmenu .style-leftmenu-menucontainer .style-leftmenu-menucontainer-menuitem i 
{
    display: inline-block;

    font-size: 1.25rem;
    color: rgba(58, 53, 65, 0.87);

    padding: 0px 12px 0px 0px;
    position: relative;
    top: 2px;
}

.style-leftmenu .style-leftmenu-menucontainer .style-leftmenu-menucontainer-menuitem i.style-icon-small
{
    font-size: 1rem;
    top: 0px;

    padding: 0px 14px 0px 2px;
}

.style-leftmenu .style-leftmenu-menucontainer .style-leftmenu-menucontainer-menuitem a 
{
    display: block;
    
    color: rgba(58, 53, 65, 0.87);
    text-decoration: none;

    padding: 12px 20px;
}

.style-leftmenu .style-leftmenu-menucontainer .style-leftmenu-menucontainer-separator
{
    display: flex;
    white-space: nowrap;

    margin: 24px 0px 8px 0px;
}

.style-leftmenu .style-leftmenu-menucontainer .style-leftmenu-menucontainer-separator.style-leftmenu-menucontainer-separator-zeromarginbottom
{
    margin-bottom: 0px;
}

.style-leftmenu .style-leftmenu-menucontainer .style-leftmenu-menucontainer-separator:before 
{
    border-top: 1px solid rgba(58, 53, 65, 0.12);
    top: 13px;
    position: relative;
    content: "";
    width: 10px;
}

.style-leftmenu .style-leftmenu-menucontainer .style-leftmenu-menucontainer-separator:after 
{
    border-top: 1px solid rgba(58, 53, 65, 0.12);
    top: 13px;
    position: relative;
    content: "";
    flex-grow: 1;
}

.style-leftmenu .style-leftmenu-menucontainer .style-leftmenu-menucontainer-separator .style-leftmenu-menucontainer-separator-label
{
    display: inline-block;
    padding: 0px 10px;

    text-align: center;
    color: rgba(58, 53, 65, 0.38);
}

.style-leftmenu .style-leftmenu-menucontainer .style-leftmenu-menucontainer-tranparentlabel
{
    padding: 0px 20px;
    margin: 0px 0px 8px 0px;
}

.style-leftmenu .style-leftmenu-menucontainer .style-leftmenu-menucontainer-tranparentlabel .style-leftmenu-menucontainer-tranparentlabel-label
{
    color: rgba(58, 53, 65, 0.38);
}

@media screen and (max-width: 1200px) 
{
    .style-leftmenu
    {
        height: 100%;
        
        z-index: 1035;

        overflow-x: hidden;
        overflow-y: auto;

        position: fixed;
        top: 0px;
        left: -500px;

        transition: left 0.5s;

        background-color: #F4F5FA !important;

        box-shadow: 8px 12px 20px -12px rgb(58 53 65 / 84%) !important;
    }

    .style-leftmenu.style-leftmenu-animateshow
    {   
        left: 0px !important;
    }

    .style-leftmenu-backdrop
    {
        width: 100%;
        height: 100%;
        
        z-index: 1034;

        position: fixed;
        top: 0px;
        left: 0px;

        background-color: #000;
        opacity: 0.5;

        visibility: hidden;
    }

    .style-leftmenu-backdrop.style-leftmenu-backdrop-visible 
    {
        visibility: visible !important;
    }
}





.style-frame-logo
{
    text-align: center;

    padding: 0px 0px 10px 0px !important;
}

.style-frame-logo img 
{
    height: 40px;
}





.style-dashboard
{
    background-color: #fff;
    border-radius: 12px;
    box-shadow: 0px 2px 10px 0px rgb(58 53 65 / 10%);
    padding: 20px 30px 20px;
    margin: 20px 0px 0px;
}

.style-dashboard .style-dashboard-title
{
    font-size: 1.25rem;

    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.style-dashboard .style-dashboard-subtitle
{
    font-size: 0.875rem;
    font-weight: 400;

    color: rgba(58, 53, 65, 0.68);
}

.style-dashboard .style-dashboard-bignumber
{
    font-size: 3.5rem;
    font-weight: 600;

    color: #154295;
}

.style-dashboard .style-dashboard-row
{
    display: block;
}

.style-dashboard .style-dashboard-row .style-dashboard-row-columnleft
{
    float: left;
}

.style-dashboard .style-dashboard-row .style-dashboard-row-columnright
{
    float: right;
}

.style-dashboard .style-dashboard-row .style-dashboard-row-columnclear
{
    clear: both;
}

.style-dashboard.style-dashboard-total
{
    width: 25%;

    display: inline-block;
    float: left;
}

.style-dashboard.style-dashboard-splitstatus
{
    width: 74%;

    display: inline-block;
    float: left;

    margin-left: 1%;
}

.style-dashboard.style-dashboard-splittype
{
    width: 39%;

    display: inline-block;
    float: left;

    margin-left: 1%;
}

@media only screen and (max-width: 1500px) 
{
    .style-dashboard.style-dashboard-total
    {
        width: 24%;
    }

    .style-dashboard.style-dashboard-splitstatus
    {
        width: 75%;
    }

    .style-dashboard.style-dashboard-splittype
    {
        width: 37%;
    }
}

@media only screen and (max-width: 900px) 
{
    .style-dashboard.style-dashboard-total
    {
        width: 100%;
    }

    .style-dashboard.style-dashboard-splitstatus
    {
        width: 100%;

        margin-left: 0%;
    }

    .style-dashboard.style-dashboard-splittype
    {
        width: 100%;

        margin-left: 0%;
    }
}





.style-frame 
{
    background-color: #fff;
    border-radius: 12px;
    box-shadow: 0px 2px 10px 0px rgb(58 53 65 / 10%);
    padding: 20px 30px 40px;
    margin: 20px auto 0px;
}

.style-frame.style-frame-zeropadding
{
    padding: 0px;
}

.style-frame.style-frame-zeromargintop
{
    margin-top: 0px;
}

.style-frame.style-frame-halfpaddingbottom
{
    padding-bottom: 20px;
}

.style-frame.style-frame-largepaddingtop
{
    padding-top: 30px;
}

.style-frame.style-frame-halfpaddingtop
{
    padding-top: 10px;
}

.style-frame.style-frame-login 
{
    margin-top: 80px;
    margin-bottom: 80px;
}

@media screen and (max-width: 1199px) /* lg */
{
    .style-frame.style-frame-login 
    {
        margin-top: 80px;
        margin-bottom: 80px;
    }
}

@media screen and (max-width: 991px) /* md */
{
    .style-frame.style-frame-login 
    {
        margin-top: 60px;
        margin-bottom: 60px;
    }
}

@media screen and (max-width: 767px) /* sm */
{
    .style-frame.style-frame-login 
    {
        margin-top: 0px;
        margin-bottom: 0px;
    }
}

@media screen and (max-width: 575px) /* xs */
{
    .style-frame.style-frame-login 
    {
        margin-top: 0px;
        margin-bottom: 0px;
    }
}

.style-frame .style-frame-detail
{
    background-color: #FFCC00;
    padding: 20px 0px 0px 0px;
    border-top-left-radius: 12px; 
    border-bottom-left-radius: 12px;
}

@media screen and (max-width: 767px) /* sm */
{
    .style-frame .style-frame-detail
    {
        border-top-left-radius: 12px; 
        border-top-right-radius: 12px; 
        border-bottom-left-radius: 0px;
    }
}

.style-frame .style-frame-loginform
{
    padding: 20px 30px;

    display: flex;
    justify-content: center;
    align-items: center;
}

.style-frame .style-frame-loginform .style-frame-loginform-inner
{
    width: 100%;
}

@media screen and (max-width: 767px) /* sm */
{
    .style-frame .style-frame-loginform .style-frame-loginform-inner
    {
        padding: 10px 0px;
    }
}

.style-frame .style-frame-imagebg 
{
    text-align: center;
    padding: 0px 40px;
}

.style-frame .style-frame-imagebg img
{
    width: 100%;
    opacity: 0.85;
    border-radius: 12px;
}

.style-frame .style-frame-title 
{
    padding: 10px 0px 0px;
    margin: 0px 0px 30px;
}

.style-frame .style-frame-space 
{
    padding: 10px 0px 0px;
    margin: 0px 0px 0px;
}

.style-frame .style-frame-action
{
    padding-top: 10px;
}

.style-frame .style-frame-bar 
{
    width: 100%;
    height: 4px;

    background-color: #F4F5FA;

    display: block;
}

.style-frame .style-frame-systemname
{
    padding: 0px 0px 0px;
    margin: 0px 0px 30px;

    color: #154295;
}

.style-frame .style-frame-title .style-frame-title-label 
{
    font-size: 25px;
    color: #154295;

    white-space: nowrap; 
    width: 100%; 
    overflow: hidden;
    text-overflow: ellipsis; 
    display: inline-block;
}

.style-frame .style-frame-title .style-frame-title-label  .style-frame-title-icon 
{
    font-size: 25px;
    color: #154295;
    margin-right: 10px;
}

.style-frame .style-frame-subtitle 
{
    padding: 30px 0px 0px;
    margin: 0px 0px 30px;
}

.style-frame .style-frame-subtitle.style-frame-subtitle-zerospace 
{
    padding: 0px 0px 0px;
    margin: 0px 0px 0px;
}

.style-frame .style-frame-subtitle .style-frame-subtitle-label 
{
    font-size: 20px;
    color: #154295;
}

.style-frame .style-login-helper 
{
    padding-bottom: 5px;
    text-align: right;
}

.style-frame .style-login-condition
{
    margin-left: 40px;
    margin-bottom: 25px;
    margin-top: 20px;
}

.style-frame .style-login-condition a
{
    display: block;
    font-size: 0.85rem;

    color: #154295;

    margin-top: 3px;
}

.style-frame .style-login-condition a .style-login-condition-icon
{
    margin-right: 10px;
    width: 10px; 
    height: 10px;
}

.style-frame .style-login-condition a:hover
{
    color: #154295;
    text-decoration: underline;
}

.style-frame .style-login-helper a
{
    display: block;
    font-size: 0.85rem;

    color: #154295;

    margin-top: 3px;
}

.style-frame .style-login-helper a:hover
{
    color: #154295;
    text-decoration: underline;
}





table.style-tabledata 
{
    min-width: 600px;
}

table.style-tabledata thead tr.style-tabledata-columnname th 
{
    background: #FAFAFA;
    padding-top: 20px;
    padding-bottom: 20px;
}

table.style-tabledata thead tr.style-tabledata-columnname th.style-tabledata-columnname-thhalfpadding
{
    padding-top: 10px;
    padding-bottom: 10px;
}

table.style-tabledata thead tr.style-tabledata-information th 
{
    padding: 0px 10px 9px !important;
    background: transparent;
    border: 0px none transparent;
    color: #37474f;
}

table.style-tabledata thead tr.style-tabledata-information th .style-tabledata-information-total
{
    padding-top: 14px;
    letter-spacing: 1px;
}

table.style-tabledata thead tr th .style-tabledata-sortinglabel 
{
    display: inline-block;
}

table.style-tabledata thead tr th .style-tabledata-sorting 
{
    display: inline-block;
    cursor: pointer;
    transition: 0.3s;
}

table.style-tabledata thead tr th .fa
{
    margin-left: 6px;

    display: none;
}

table.style-tabledata thead tr th .fa.fa-sort-down
, table.style-tabledata thead tr th .fa.fa-sort-up
{
    display: inline-block !important;
}

table.style-tabledata tbody tr:hover td 
{
    background-color: #F4F5FA;
}

table.style-tabledata tbody tr.style-tabledata-emptyrow td 
{
    text-align: center;
}

table.style-tabledata tfoot tr td 
{
    padding: 0px;
    border: 0px none transparent;
}





.style-pagination .style-pagination-button
{
    display: inline-block;

    margin: 0px 5px;
}

@media screen and (max-width: 575px) /* xs */
{
    .style-pagination .style-pagination-button
    {
        width: auto;
    }
}


.style-pagination .style-pagination-dropdown
{
    display: inline-block;
    width: auto;

    margin: 0px 5px;
}





.style-itemperpage
{
    display: block;
}

.style-itemperpage .style-itemperpage-dropdown
{
    display: block;
    width: auto;

    margin: 0px auto;
}





form.style-formdata
{
    padding-top: 0.5rem;
}

form.style-formdata .row.row-form .form-group.form-group-error .form-control
{
    border: 1px solid #ed5757;
}

form.style-formdata .row.row-form .form-message-error 
{
    display: block;
    font-size: 80%;
    font-style: oblique;
    color: #E4032D;

    padding: 4px 15px 0px;
}

form.style-formdata .row.row-form .form-control.form-control-text 
{
    background-color: #e9eaf2 !important;
    border-color: #e9eaf2 !important;
    min-height: 39px;
}

form.style-formdata .row.row-form .form-message-information 
{
    display: block;
    font-size: 90%;

    padding: 4px 0px 8px;
}





.style-btn-minimal 
{
    padding: 0.25rem 0.75rem;
}

.style-btn-minimal.style-btn-fix40width
{  
    width: 40px;
}

.style-btn-minimal span 
{
    font-size: 0.75rem;
}

.style-btn-smallest 
{
    padding: 0.1rem 0.4rem;
    font-size: 0.75rem;
}

.style-btn 
{    
    box-shadow: 0px 4px 8px -4px rgb(58 53 65 / 42%) !important;

    letter-spacing: 0.8px;

    padding-right: 1.25rem;
    padding-left: 1.25rem;
}

.style-btn.style-btn-fix160width
{  
    width: 160px ;
}

.style-btn-boxshadow
{    
    box-shadow: 0px 4px 8px -4px rgb(58 53 65 / 0%) !important;
}

.style-btn .style-btn-icon
{
    padding-right: 4px;
    font-size: 1rem !important;
}

.style-btn-green
{
    color:#fff !important;
    background-color:#46be8a;
    border-color:#46be8a;
}

.style-btn-green span 
{
    display: inline-block;
}

.style-btn-green span.fa 
{
    font-size: 0.8rem;
    margin-right: 3px;
    
    position: relative;
    top: -1px;
}

.style-btn-green span.fa.style-fa-normal
{
    font-size: 1rem;
    margin-right: 4px;
    
    position: relative;
    top: 0px;
}

.style-btn-green:focus
,.style-btn-green:hover
{
    color:#fff !important;
    background-color:#5cd29d;
    border-color:#5cd29d
}

.style-btn-green:active
{
    color:#fff !important;
    background-color:#36ab7a !important;
    border-color:#36ab7a !important;
}

.style-btn-red
{
    color:#fff !important;
    background-color:#E4032D;
    border-color:#E4032D;
}

.style-btn-red span 
{
    display: inline-block;
}

.style-btn-red span.fa 
{
    font-size: 0.8rem;
    margin-right: 3px;
    
    position: relative;
    top: -1px;
}

.style-btn-red span.fa.style-fa-normal
{
    font-size: 1rem;
    margin-right: 4px;
    
    position: relative;
    top: 0px;
}

.style-btn-red:focus
,.style-btn-red:hover
{
    color:#fff !important;
    background-color:#f01d44;
    border-color:#f01d44
}

.style-btn-red:active
{
    color:#fff !important;
    background-color:#9e0320 !important;
    border-color:#9e0320 !important;
}

.style-btn-blue
{
    color:#fff !important;
    background-color:#154295;
    border-color:#154295;
}

.style-btn-blue span 
{
    display: inline-block;
}

.style-btn-blue span.fa 
{
    font-size: 0.8rem;
    margin-right: 3px;
    
    position: relative;
    top: -1px;
}

.style-btn-blue span.fa.style-fa-normal
{
    font-size: 1rem;
    margin-right: 4px;
    
    position: relative;
    top: 0px;
}

.style-btn-blue:focus
,.style-btn-blue:hover
{
    color:#fff !important;
    background-color:#376bcc;
    border-color:#376bcc
}

.style-btn-blue:active
{
    color:#fff !important;
    background-color:#0e46ad !important;
    border-color:#0e46ad !important;
}

.btn-light 
{
    border: 1px solid rgba(58, 53, 65, 0.12);

    box-shadow: 0px 2px 4px -2px rgb(58 53 65 / 12%) !important;
}

.btn-wait 
{
    cursor: wait !important;
}

.btn-icontext 
{
    cursor: text !important;
}





.modal-dialog
{
    /* box-shadow: 8px 12px 20px -12px rgb(58 53 65 / 84%) !important; */

    box-shadow: none;
}

@media screen and (min-width: 992px) /* lg */
{
    .modal-dialog .modal-content
    {
        padding-left: 60px;
        padding-right: 60px;
    }
}

@media screen and (max-width: 991px) /* md */
{
    .modal-dialog .modal-content
    {
        padding-left: 40px;
        padding-right: 40px;
    }
}

@media screen and (max-width: 767px) /* sm */
{
    .modal-dialog .modal-content
    {
        padding-left: 20px;
        padding-right: 20px;
    }
}

@media screen and (max-width: 575px) /* xs */
{
    .modal-dialog .modal-content
    {
        padding-left: 20px;
        padding-right: 20px;
    }
}

.modal-dialog .modal-content .modal-header
{
    /* background-color: #F4F5FA; */
    background-color: transparent;
}

.modal-dialog .modal-content .modal-header.modal-header-blue 
{
    background-image: linear-gradient(98deg, #70ccfa, #16B1FF 94%) !important;
}

.modal-dialog .modal-content .modal-header.modal-header-blue .modal-title 
{
    color: #ffffff;
}

.modal-dialog .modal-content .modal-header.modal-header-red 
{
    background-image: linear-gradient(98deg, #ff3e1d, #de3518 94%) !important;
}

.modal-dialog .modal-content .modal-header.modal-header-red .modal-title 
{
    color: #ffffff;
}

.modal-dialog .modal-content .modal-header
{
    border-bottom: 0px none transparent;

    padding-top: 40px;
}

.modal-dialog .modal-content .modal-header .close 
{
    padding-top: 21px;
}

.modal-dialog .modal-content .modal-header .modal-title 
{
    border-bottom: 0px solid #F4F5FA;
    width: 100%;
}

.modal-dialog .modal-content .modal-body
{
    padding-bottom: 40px;
}

.modal-dialog .modal-content .modal-footer
{
    border-top: 0px none transparent;
    padding-top: 0px;
    padding-bottom: 40px;

    justify-content: center;
}

.style-modal-manage 
{
    padding: 78px 20px 20px 20px;
}

.style-modal-manage .modal-dialog.modal-full
{
    width: 100%;
    max-width: 100%;

    height: 100%;
    max-height: 100%;

    margin: 0rem;
}

.style-modal-manage .modal-dialog.modal-full .modal-content 
{
    width: 100%;
    height: 100%;

    padding: 0rem;
}

.style-modal-manage .modal-dialog.modal-full .modal-content .modal-body
{
    width: 100%;
    height: 100%;

    padding: 0px 20px;

    overflow-x: hidden;
    overflow-y: auto;
}





.style-floating-label
{
    position: relative;

    margin-bottom: 0rem !important;
}

.style-floating-label input
{
    background-color: transparent;
    padding: 25px 15px;
}

.style-floating-label div.form-control.form-control-text
{
    height: auto !important;
    padding: 13px 15px;
}

.style-floating-label input:focus 
, .style-floating-label textarea:focus 
, .style-floating-label div.nice-select:focus 
, input:focus 
, textarea:focus 
, div.nice-select:focus 
{
    -moz-box-shadow: none !important;
    -webkit-box-shadow: none !important;
    box-shadow: none !important;
    
    border-color: #16B1FF !important;
}

.style-floating-label .form-control-placeholder 
{
    position: absolute;
    top: 0px;
    left: 0px;
    padding: 13px 15px;
    transition: all 300ms;
    opacity: 0.5;

    pointer-events: none; 
}

.style-floating-label .form-control:focus + .form-control-placeholder
, .style-floating-label input.form-control:valid + .form-control-placeholder 
, .style-floating-label textarea.form-control:valid + .form-control-placeholder 
, .style-floating-label div.form-control.form-control-text + .form-control-placeholder 
, .style-floating-label input.form-control[readonly] + .form-control-placeholder 
, .style-floating-label textarea.form-control[readonly] + .form-control-placeholder 
{
    font-size: 0.75rem !important;
    transform: translate3d(0, -55%, 0);
    background-color: #FFFFFF;
    padding: 0px 6px;
    margin-left: 10px;
    opacity: 1;
}

.style-floating-label input.form-control[readonly]
, .style-floating-label textarea.form-control[readonly]
{
    background-color: transparent !important;
    cursor: default !important;
}

/* Not working on Firefox */
.style-floating-label div.nice-select:has(span:not(:empty)) + .form-control-placeholder 
{
    font-size: 0.75rem !important;
    transform: translate3d(0, -55%, 0);
    background-color: #FFFFFF;
    padding: 0px 6px;
    margin-left: 10px;
    opacity: 1;
}

/* For Firefox */
.style-floating-label div.nice-select.nice-select-valid + .form-control-placeholder 
{
    font-size: 0.75rem !important;
    transform: translate3d(0, -55%, 0);
    background-color: #FFFFFF;
    padding: 0px 6px;
    margin-left: 10px;
    opacity: 1;
}

.style-floating-label div.nice-select
{
    background: transparent;
    padding-left: 15px;
    border: 1px solid #ced4da;
}

.style-floating-label div.nice-select span.current 
{
    line-height: 38px;
}

.style-floating-label .form-control:focus + .form-control-placeholder
{
    color: #16B1FF !important;
}

.style-floating-label.style-floating-label-invalid .form-control 
{   
    border: 1px solid #E4032D;
}

.style-floating-label.style-floating-label-invalid .form-control:focus
{   
    border: 1px solid #E4032D !important;
}

.style-floating-label.style-floating-label-invalid .form-control-placeholder 
{
    color: #E4032D;
}

.style-floating-label.style-floating-label-invalid .form-control:focus + .form-control-placeholder
{
    color: #E4032D !important;
}

.style-floating-button button 
{
    padding: 12px 0px;
}





.style-animated-button 
{
    transition: all 0.3s;
    cursor: pointer;
}

.style-animated-button:hover 
{
    transform: scale(1.03);
}

.style-animated-button:active 
{
    transform: scale(0.98);
}





.style-dropdown .dropdown-menu
{
    padding: 0.4rem 0px;

    border-radius: 6px;
}

.style-dropdown.style-dropdown-inlineblock
{
    display: inline-block;
}

.style-dropdown.style-dropdown-inlineblock .dropdown-toggle::after
{
    display: none;
}

.style-dropdown .dropdown-menu 
{
    border-radius: 5px;
    border: none;
    box-shadow: 0 0 0 1px rgb(68 68 68 / 11%) !important;
}

.style-dropdown .dropdown-menu .dropdown-item:hover
{
    background-color: #f6f6f6;
}

.style-dropdown .dropdown-menu .dropdown-item
{
    padding: 0.4rem 1rem;

    cursor: pointer;
}

.style-dropdown .dropdown-menu .dropdown-item .style-dropdown-icon
{
    padding-right: 0.05rem;
}





.show > .dropdown-menu 
{
    transition: all 0.5s;
    transform: scale(1);
}
    
.dropdown-menu 
{
    transform-origin: top center;
    transform: scale(0);
    overflow: hidden;
    display: block;
}





[data-tooltip] 
{
    position: relative;
}

[data-tooltip]:after
, [data-tooltip]:before 
{
    position: absolute;
    visibility: hidden;
    opacity: 0;
    transition: transform 200ms ease, opacity 200ms;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.3);
    z-index: 99;
}

[data-tooltip]:before 
{
    content: attr(data-tooltip);
    background: #000;
    color: #fff;
    font-size: 14px;
    padding: 10px 15px;
    border-radius: 5px;
    white-space: nowrap;
    text-decoration: none;
    letter-spacing: 1px;
}

[data-tooltip]:after 
{
    width: 0;
    height: 0;
    border: 6px solid transparent;
    content: "";
}

[data-tooltip]:hover:after
, [data-tooltip]:hover:before 
{
    visibility: visible;
    opacity: 0.85;
    transform: translateY(0px);
}


[data-tooltip][data-position=top]:before 
{
    bottom: 100%;
    left: -120%;
    margin-bottom: 10px;
}

[data-tooltip][data-position=top]:after 
{
    border-top-color: #000;
    border-bottom: none;
    bottom: 101%;
    left: calc(50% - 6px);
    margin-bottom: 4px;
}

[data-tooltip][data-position=top]:before 
, [data-tooltip][data-position=top]:after 
{
    transform: translateY(10px);
}

[data-tooltip][data-position=top]:hover:before 
, [data-tooltip][data-position=top]:hover:after 
{
    transform: translateY(0px);
}
  

[data-tooltip][data-position=left]:before 
{
  top: -12%;
  right: 100%;
  margin-right: 10px;
}

[data-tooltip][data-position=left]:after 
{
  border-left-color: #000;
  border-right: none;
  top: calc(50% - 3px);
  right: 100%;
  margin-top: -6px;
  margin-right: 4px;
}
  
[data-tooltip][data-position=left]:before 
, [data-tooltip][data-position=left]:after 
{
  transform: translateX(10px);
}

[data-tooltip][data-position=left]:hover:before 
, [data-tooltip][data-position=left]:hover:after 
{
  transform: translateX(0px);
}
  

[data-tooltip][data-position=right]:before 
{
  top: -12%;
  left: 100%;
  margin-left: 10px;
}

[data-tooltip][data-position=right]:after 
{
  border-right-color: #000;
  border-left: none;
  top: calc(50% - 3px);
  left: 100%;
  margin-top: -6px;
  margin-left: 4px;
}
  
[data-tooltip][data-position=right]:before 
, [data-tooltip][data-position=right]:after 
{
  transform: translateX(-10px);
}

[data-tooltip][data-position=right]:hover:before 
, [data-tooltip][data-position=right]:hover:after 
{
  transform: translateX(0px);
}





.style-animation-checkbox label:after
, .style-animation-radio label:after 
{
    content: '';
    display: table;
    clear: both;
}

.style-animation-checkbox .cr
, .style-animation-radio .cr 
{
    position: relative;
    display: inline-block;
    border: 1px solid #a9a9a9;
    border-radius: .25em;
    width: 18px;
    height: 18px;
    float: left;
    cursor: pointer;
}

.style-animation-radio .cr 
{
    border-radius: 50%;
}

.style-animation-checkbox .cr .cr-icon
, .style-animation-radio .cr .cr-icon 
{
    position: absolute;
    font-size: 12px;
    line-height: 0;
    top: 50%;
    left: 12%;
    color: #154295;
}

.style-animation-radio .cr .cr-icon 
{
    margin-left: 0.04em;
}

.style-animation-checkbox label input[type="checkbox"]
, .style-animation-radio label input[type="radio"] 
{
    display: none;
}

.style-animation-checkbox label input[type="checkbox"] + .cr > .cr-icon
, .style-animation-radio label input[type="radio"] + .cr > .cr-icon 
{
    transform: scale(2) rotateZ(-20deg);
    opacity: 0;
    transition: all .3s ease-in;
}

.style-animation-checkbox label input[type="checkbox"]:checked + .cr > .cr-icon
, .style-animation-radio label input[type="radio"]:checked + .cr > .cr-icon 
{
    transform: scale(1) rotateZ(0deg);
    opacity: 1;
}

.style-animation-checkbox label input[type="checkbox"]:disabled + .cr
, .style-animation-radio label input[type="radio"]:disabled + .cr 
{
    opacity: .5;
}





.datepicker-container
{
    box-shadow: 0 0 0 1px rgb(68 68 68 / 11%) !important;

    -webkit-transform-origin: 50% 0%;
    -ms-transform-origin: 50% 0%;
    transform-origin: 50% 0%;

    font-size: 13px;
    line-height: 32px;
    width: 245px;
}

.datepicker-container.datepicker-hide
{
    
}

.datepicker-container.datepicker-animationopen
{
    animation: datepicker-scaleopen 0.2s;
}

.datepicker-container.datepicker-animationclose
{
    animation: datepicker-scaleclose 0.2s;
}

.datepicker-container .datepicker-panel
{
    width: 245px;
}

.datepicker-container .datepicker-panel li 
{
    width: 35px; 
    height: 35px;
}

.datepicker-container .datepicker-panel ul[data-view=months] li 
, .datepicker-container .datepicker-panel ul[data-view=years] li 
{
    width: 61.25px; 
}

.datepicker-container .datepicker-panel li[data-view="month current"]
, .datepicker-container .datepicker-panel li[data-view="year current"]
, .datepicker-container .datepicker-panel li[data-view="years current"]
{
    width: 175px;
}

.datepicker-container .datepicker-panel li[data-view="month next"]
, .datepicker-container .datepicker-panel li[data-view="month prev"]
, .datepicker-container .datepicker-panel li[data-view="year next"]
, .datepicker-container .datepicker-panel li[data-view="year prev"]
, .datepicker-container .datepicker-panel li[data-view="years next"]
, .datepicker-container .datepicker-panel li[data-view="years prev"]
, .datepicker-container .datepicker-panel li[data-view="next"]
{
    line-height: 30px;
    font-size: 19px;
}

.datepicker-container .datepicker-panel li:hover 
{
    background-color: #fff2bd;
}

.datepicker-container .datepicker-panel li.highlighted 
{
    background-color: #F4F5FA;
}

.datepicker-container .datepicker-panel li.picked 
{
    color: #154295;
    background-color: #FFCC00 !important;
}

@keyframes datepicker-scaleopen
{
    from
    {
        opacity: 0;
        -webkit-transform: scale(.75) translateY(-21px);
        -ms-transform: scale(.75) translateY(-21px);
        transform: scale(.75) translateY(-21px);
    }
    
    to
    {
        opacity: 1;
        -webkit-transform: scale(1) translateY(0px);
        -ms-transform: scale(1) translateY(0px);
        transform: scale(1) translateY(0px);
    }
}

@keyframes datepicker-scaleclose
{
    from
    {
        opacity: 1;
        -webkit-transform: scale(1) translateY(0px);
        -ms-transform: scale(1) translateY(0px);
        transform: scale(1) translateY(0px);
    }
    
    to
    {
        opacity: 0;
        -webkit-transform: scale(.75) translateY(-21px);
        -ms-transform: scale(.75) translateY(-21px);
        transform: scale(.75) translateY(-21px);
    }
}








.style-filedroparea
{
    position: relative;

    display: flex;
    align-items: center;

    width: 100%;
    border: 1px solid #ced4da;
    border-radius: 0.25rem;
    transition: 0.2s;

    height: 54px
}

.style-filedroparea .style-filedroparea-button
{
    background-color: #17a2b8;
    color: #ffffff;

    border-right: 1px solid #ced4da;

    padding: 16px 0rem;
    margin-right: 20px;
    font-size: 13px;
    text-transform: uppercase;

    height: 100%;
    width: 120px;

    text-align: center;

    cursor: pointer !important;
    display: block;
}

.style-filedroparea .style-filedroparea-message
{
    font-size: small;
    font-weight: 300;
    line-height: 1;
}

.style-filedroparea .style-filedroparea-input
{
    position: absolute;

    left: 0px;
    top: 0px;

    height: 100%;
    width: 100%;

    cursor: pointer;
    opacity: 0;
}

.script-previewarea
{
    overflow-x: auto;
    overflow-y: hidden;

    border-radius: 0.25rem;
}

.script-previewarea:not(:empty)
{
    border: 1px solid #ced4da;

    margin-bottom: 20px;
}

.script-previewarea-prototype
{
    display: none;
}

.script-previewarea .style-previewarea-item
{
    position: relative;

    width: 100%;
    min-width: 600px;
    height: 0px;
    border-top: 1px solid #ced4da;
    margin: 0px;

    transition: height 1s;
}

.script-previewarea .style-previewarea-item .style-previewarea-item-container 
{
    transition: opacity 0.5s;
    opacity: 0;
}

.script-previewarea .style-previewarea-item.style-previewarea-item-animationshow-height
{
    height: 60px;
}

.script-previewarea .style-previewarea-item.style-previewarea-item-animationshow-opacity .style-previewarea-item-container
{
    opacity: 1;
}

.script-previewarea .style-previewarea-item:nth-child(1)
{
    border-top: 0px none transparent;
}

.script-previewarea .style-previewarea-item .style-previewarea-item-imagecontainer 
{
    width: 120px;
    height: 60px;

    display: inline-block;

    border-right: 1px solid #ced4da;
    margin: 0px 20px 0px 0px;
}

.script-previewarea .style-previewarea-item .style-previewarea-item-imagecontainer img.style-previewarea-item-imagecontainer-icon
{
    height: 40px;
    max-width: 100px;

    margin: 10px 10px;
    padding: 0px 0px;
}

.script-previewarea .style-previewarea-item .style-previewarea-item-imagecontainer img.style-previewarea-item-imagecontainer-image
{
    width: 120px;
    height: 60px;

    margin: 0px 0px;
    padding: 0px 0px;

    border-right: 1px solid #ced4da;
}

.script-previewarea .style-previewarea-item .style-previewarea-item-action
{
    position: absolute;
}

.script-previewarea .style-previewarea-item .style-previewarea-item-action.style-previewarea-item-action-remove
{
    top: 18px;
    right: 18px;
}

.script-previewarea .style-previewarea-item .style-previewarea-item-action.style-previewarea-item-action-view
{
    top: 18px;
    right: 48px;

    display: none;
}

.script-previewarea .style-previewarea-item .style-previewarea-item-action .fa
{
    color: #17a2b8;
    cursor: pointer;
}

.script-previewarea .style-previewarea-item .style-previewarea-item-action .fa:hover
{
    color: #154295;
}

.script-previewarea .style-previewarea-item .style-previewarea-item-filename
{
    width: 65%;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;

    vertical-align: middle;
}

.script-previewarea .style-previewarea-item span
{
    display: inline-block;
}





.style-displayattachfile
{
    border: 1px solid #ced4da;

    overflow-x: auto;
    overflow-y: hidden;
}

.style-displayattachfile .style-displayattachfile-item
{
    position: relative;

    width: 100%;
    min-width: 600px;
    border-top: 1px solid #ced4da;
    margin: 0px;

    display: block;
}

.style-displayattachfile .style-displayattachfile-item:nth-child(1)
{
    border-top: 0px none transparent;
}

.style-displayattachfile .style-displayattachfile-item-container
{
    width: 120px;
    height: 60px;

    display: inline-block;

    border-right: 1px solid #ced4da;
    margin: 0px 20px 0px 0px;
}

.style-displayattachfile .style-displayattachfile-item img.style-displayattachfile-item-icon
{
    height: 40px;
    max-width: 100px;

    margin: 10px 10px;
    padding: 0px 0px;
}

.style-displayattachfile .style-displayattachfile-item img.style-displayattachfile-item-image
{
    width: 120px;
    height: 60px;

    margin: 0px 0px;
    padding: 0px 0px;

    border-right: 1px solid #ced4da;
}

.style-displayattachfile .style-displayattachfile-item span
{
    color: rgba(58, 53, 65, 1);
}





.style-priority
{
    display: inline-block; 
    
    width: 36px; 
    height: 36px; 
    border-radius: 36px; 
    
    box-shadow: 0px 2px 10px 0px rgb(58 53 65 / 24%);
}

.style-priority.style-priority-red 
{
    background-color: #dc3545; 
}

.style-priority.style-priority-orange 
{
    background-color: #ffc107;
}

.style-priority.style-priority-green 
{
    background-color: #28a745;
}

.style-priority.style-priority-blue 
{
    background-color: #17a2b8; 
}

.style-priority-text-red 
{
    color: #dc3545;
}

.style-priority-text-orange 
{
    color: #ffc107;
}

.style-priority-text-green 
{
    color: #28a745;
}

.style-priority-text-blue 
{
    color: #17a2b8;
}





.style-warning-red 
{
    color: #dc3545;
}

.style-warning-orange 
{
    color: #ffc107;
}





.style-satifyform
{
    display: block;
}

.style-satifyform .style-satifyform-item
{
    display: inline-block;
    padding: 6px 15px;

    cursor: pointer;
}

.style-satifyform .style-satifyform-item.style-satifyform-item-selected
{
    background-color: #ebeee0;
}

.style-satifyform .style-satifyform-item img
{
    width: 56px;
    height: 56px;
}

.style-satifyform .style-satifyform-item .style-satifyform-item-label
{
    font-size: 0.9rem;
    text-align: center;
}

.style-satifyform .style-satifyform-item:hover .style-satifyform-item-label
{
    color: #157EFB;
}